Subject: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

From: Qin Wu <[email-masked]>
Date: Tue, 5 Nov 2019 00:51:41 +0000

Hi, Martin:
-----邮件原件-----
发件人: Martin Bjorklund [mailto:[email-masked]] 
发送时间: 2019年11月4日 22:56
收件人: Qin Wu <[email-masked]>
抄送: [email-masked]; [email-masked]
主题: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05

Qin Wu <[email-masked]> wrote:
> -----邮件原件-----
> 发件人: Martin Bjorklund [mailto:[email-masked]]
> 发送时间: 2019年11月4日 21:57
> 收件人: Qin Wu <[email-masked]>
> 抄送: [email-masked]; [email-masked]
> 主题: Re: [netconf] WG Last Call: draft-ietf-netmod-factory-default-05
> 
> Hi,
> 
> Trimming to open issues...
> 
> Qin Wu <[email-masked]> wrote:
> > Thanks Martin, see reply inline below.
> > 
> > -----邮件原件-----
> > 发件人: Martin Bjorklund [mailto:[email-masked]]
> 
> > o  Abstract and Introduction
> > 
> >   These both contain:
> > 
> >     The reset operation may be used e.g. during initial
> >     zero-touch configuration
> > 
> >   and in the Introduction there's a reference to RFC 8572.
> > 
> >   But what does this actually mean?
> > [Qin]: It means the key word zero-touch comes from RFC8572.
> 
> I get that part.  I was wondering about the meaning of the sentence.
> How can "reset" be used "during initial zero-touch configuration"?
> 
> [Qin]: I think "reset" can be used at the beginning of session setup 
> or in the middle of session when the existing configuration Has fatal error.
> Maybe change it into "before initial zero-touch configuration"?

I don't think this is correct; noone will invoke "factory-reset"
*before* the initial ztp -- rather, the factory default config will contain config to enable ztp (see e.g. section A.1 in RFC 8572).
Perhaps simply remove this sentence?

[Qin]:Understand, so factory default config in relevant datastore is still useful during initial zero touch configuration,how about the following change
OLD TEXT:
"

   This document defines a method to reset a server to its factory-
   default content.  The reset operation may be used e.g. during initial
   zero-touch configuration or when the existing configuration has major
   errors, so re-starting the configuration process from scratch is the
   best option.

.......

   Optionally a new "factory-default" read-only datastore is defined,
   that contains the data that will be copied over to the running
   datastore at reset.
"
NEW TEXT:
"
   This document defines a method to reset a server to its factory-
   default content.  The reset operation may be used e.g. 
   when the existing configuration has major
   errors, so re-starting the configuration process from scratch is the
   best option.

.......

   Optionally a new "factory-default" read-only datastore is defined,
   that contains the data that will be copied over to the running
   datastore at reset or during initial zero-touch configuration.
"
Hope this addresses your point.

Kent, do you have an opinion?

/martin